<?php
/**
 * Created by PhpStorm.
 * User: joseortiz
 * Date: 8/6/18
 * Time: 6:21 p.m.
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['idpago']) && isset($_REQUEST['idcuota'])) {
            $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
            $condominio = $Valido->retornarDatos($creadoPor);
            $nombre = $_REQUEST['nombre'];
            $identificador = uniqid('cuota',true);
            $validar  = R::findOne( 'pagomensualidad', 'idpago =:idpago AND id_condominio =:id_condominioc AND estado =:estado',array('idpago' => $_REQUEST['nombre'], 'id_condominioc' => $condominio['condominio_id'], 'estado'=>$_REQUEST['estado']));
            if (is_null($validar)==TRUE){
                $pagomensualidad = R::dispense('pagomensualidad');
                $pagomensualidad->id_cuota = $_REQUEST['idcuota'];
                $pagomensualidad->idpago = $_REQUEST['idpago'];
                $pagomensualidad->id_condominio = $condominio['condominio_id'];
                $pagomensualidad->fechaRegistro = date('Y-m-d H:i:s');
                $pagomensualidad->fechaModificacion = date('Y-m-d H:i:s');
                $pagomensualidad->estado = 1;
                $id = R::store($pagomensualidad);
                include '../comun/mensajeCreado.php';
            }else{
                include '../comun/mensajeYaExiste.php';
            }
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}